
# Emerson GO Tracker 1.7 (TXC-TH04) #

## Parts ##

| Part Number | Type | Interface |
|-------------|------|-----------|
| STM32L431CCU | MCU |           |
| HDC2010 | Humidity and Temperature Sensor | I2C |
| TMP112 | Temperature Sensor | I2C |
| ????? | Light Sensor | I2C |
| Quectel BG95-M5 | GSM + GNSS | UART |
| MX25L3233F | Flash | SPI |


| I2C Address | Device | Function |
|-------------|--------|----------|
| 0x40        | HDC2010 | Humidity and Temperature Sensor |
| 0x44        | ????? | Light Sensor? |
| 0x48        | TMP112 | Temperature Sensor |


## Light Sensor ##
```
      ---------------
GND - | 1         6 | - INT (PB9)
VCC - | 2         5 | - SDA
GND - | 3         4 | - SCL
      ---------------
```

## STM32L431CCU Pinout ##

| STM Pin | Function      | Remark |
|---------|---------------|--------|
| PA1     | GSM NetKey    | -    |
| PA2     | UART2_TX GSM  | -    |
| PA3     | UART2_RX GSM  | -    |
| PB2     | GSM PWR Enable| -    |
| PB5     | TMP112 enable | -      |
| PB6     | I2C1_SCL      | -      |
| PB7     | I2C1_SDA      | -      |
| PB9     | Light INT     | not verified |
| PB12    | SPI Flash CS  | -      |
