use defmt::info;
use embassy_stm32::{mode::Async, usart::Uart};
use embassy_time::{Duration, Timer};
use heapless::String;

#[embassy_executor::task]
pub async fn gnss_task(mut gnss_uart: Uart<'static, Async>) {
    let mut buf = [0; 90];
    loop {
        let rx = gnss_uart.read_until_idle(&mut buf).await;
        match rx {
            Ok(rx) => {
                let buf = core::str::from_utf8(&buf[..rx]).unwrap();
                info!("RX: {}", buf);
            }
            Err(_) => {
                info!("Error reading from GNSS");
            }
        }
        // Perform some asynchronous work here
        Timer::after(Duration::from_secs(1)).await;
    }
}
